Subject: Re: [PATCH 4/5 v4] log: parse detached options like git log --grep foo

From: Matthieu Moy <[email-masked]>
Date: Tue, 03 Aug 2010 21:52:05 +0200

Junio C Hamano <[email-masked]> writes:

> But I thought you were suggesting to [...] never take:
>
>     --opt <string> (even when --opt always takes an argument)
>
> because that would further reduce one source of potential confusion
> (i.e. the user needs to remember if --opt always takes an argument or
> not).  I thought you mentioned that neither parse-options nor GNU tools
> take "--prune last",

No, I said the opposite: both do.

> "--color auto" as a good supporting argument for this

"grep --color auto" is refused because the "auto" part is optional.
But both "grep --regex foo" and "grep --regexp=foo" are accepted. Same
for "git commit --message=foo" and "git commit --message foo".

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/